Upstream information

CVE-2017-7889 at MITRE

Description

The mm subsystem in the Linux kernel through 4.10.10 does not properly enforce the CONFIG_STRICT_DEVMEM protection mechanism, which allows local users to read or write to kernel memory locations in the first megabyte (and bypass slab-allocation access restrictions) via an application that opens the /dev/mem file, related to arch/x86/mm/init.c and drivers/char/mem.c.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.2 4.6
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local Local
Access Complexity Low Low
Authentication None None
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 5.9
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
SUSE Bugzilla entry: 1034405 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Public Cloud 12
  • kernel-ec2 >= 3.12.74-60.64.63.1
  • kernel-ec2-devel >= 3.12.74-60.64.63.1
  • kernel-ec2-extra >= 3.12.74-60.64.63.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2017-1799
SUSE-SLE-Module-Public-Cloud-12-2017-1808
SUSE Linux Enterprise Server 12 SP1-LTSS
  • kernel-default >= 3.12.74-60.64.63.1
  • kernel-default-base >= 3.12.74-60.64.63.1
  • kernel-default-devel >= 3.12.74-60.64.63.1
  • kernel-default-man >= 3.12.74-60.64.63.1
  • kernel-devel >= 3.12.74-60.64.63.1
  • kernel-macros >= 3.12.74-60.64.63.1
  • kernel-source >= 3.12.74-60.64.63.1
  • kernel-syms >= 3.12.74-60.64.63.1
  • kernel-xen >= 3.12.74-60.64.63.1
  • kernel-xen-base >= 3.12.74-60.64.63.1
  • kernel-xen-devel >= 3.12.74-60.64.63.1
  • kgraft-patch-3_12_74-60_64_63-default >= 1-2.1
  • kgraft-patch-3_12_74-60_64_63-xen >= 1-2.1
  • kgraft-patch-SLE12-SP1_Update_22 >= 1-2.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1799
SUSE Linux Enterprise Server 12-LTSS
  • kernel-default >= 3.12.61-52.101.1
  • kernel-default-base >= 3.12.61-52.101.1
  • kernel-default-devel >= 3.12.61-52.101.1
  • kernel-default-man >= 3.12.61-52.101.1
  • kernel-devel >= 3.12.61-52.101.1
  • kernel-macros >= 3.12.61-52.101.1
  • kernel-source >= 3.12.61-52.101.1
  • kernel-syms >= 3.12.61-52.101.1
  • kernel-xen >= 3.12.61-52.101.1
  • kernel-xen-base >= 3.12.61-52.101.1
  • kernel-xen-devel >= 3.12.61-52.101.1
  • kgraft-patch-3_12_61-52_101-default >= 1-8.1
  • kgraft-patch-3_12_61-52_101-xen >= 1-8.1
  • kgraft-patch-SLE12_Update_28 >= 1-8.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1808
SUSE Linux Enterprise for SAP 12 SP1
  • kernel-default >= 3.12.74-60.64.63.1
  • kernel-default-base >= 3.12.74-60.64.63.1
  • kernel-default-devel >= 3.12.74-60.64.63.1
  • kernel-devel >= 3.12.74-60.64.63.1
  • kernel-macros >= 3.12.74-60.64.63.1
  • kernel-source >= 3.12.74-60.64.63.1
  • kernel-syms >= 3.12.74-60.64.63.1
  • kernel-xen >= 3.12.74-60.64.63.1
  • kernel-xen-base >= 3.12.74-60.64.63.1
  • kernel-xen-devel >= 3.12.74-60.64.63.1
  • kgraft-patch-3_12_74-60_64_63-default >= 1-2.1
  • kgraft-patch-3_12_74-60_64_63-xen >= 1-2.1
  • kgraft-patch-SLE12-SP1_Update_22 >= 1-2.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1799
SUSE OpenStack Cloud 6
  • kernel-default >= 3.12.74-60.64.63.1
  • kernel-default-base >= 3.12.74-60.64.63.1
  • kernel-default-devel >= 3.12.74-60.64.63.1
  • kernel-devel >= 3.12.74-60.64.63.1
  • kernel-macros >= 3.12.74-60.64.63.1
  • kernel-source >= 3.12.74-60.64.63.1
  • kernel-syms >= 3.12.74-60.64.63.1
  • kernel-xen >= 3.12.74-60.64.63.1
  • kernel-xen-base >= 3.12.74-60.64.63.1
  • kernel-xen-devel >= 3.12.74-60.64.63.1
  • kgraft-patch-3_12_74-60_64_63-default >= 1-2.1
  • kgraft-patch-3_12_74-60_64_63-xen >= 1-2.1
  • kgraft-patch-SLE12-SP1_Update_22 >= 1-2.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1799


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 kernel-source Unsupported
SUSE Linux Enterprise Desktop 12 SP2 kernel-source Affected
SUSE Linux Enterprise Server 11 SP3 LTSS kernel-source Affected
SUSE Linux Enterprise Server 11 SP4 kernel-source Affected
SUSE Linux Enterprise Server 12 GA LTSS kernel-source Released
SUSE Linux Enterprise Server 12 SP1 kernel-source Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS kernel-source Released
SUSE Linux Enterprise Server 12 SP2 kernel-source Affected